/*
 * htnews.h
 *
 * you can edit this file for your needs
 *
 */

#define _DEFAULTADMIN "root@localhost"

#define PIDFILE "/var/run/htnews.pid";

#ifdef DEBUG
	#define pr(msg) cout << "debug: " << (msg) << endl;
#else
        #define pr(msg) //
#endif

// converts hex chars to int
int hex2int(const string& line);

// converts quoted-printable formatted strings to
// htmlished strings
string quoted2html(const string& quoted);

// usage message on the commandline
void error();

// sends error message
void err(string Tmp_File, string MSG, string Admin);

// parse config-file content
string getval(const string& buf, const string& param);

// replace dangerous chars
string replace(const string& line);

// replace CR/LF and TAB with &nbsp; and \n with <br>
string htmlize(const string& zeile);

// one exit-point in every case!
int Exit();

//lock a given stream
int lock(fstream file);

// used by lock()
struct flock* file_lock(short type, short whence);
